com.google.cloud.dataflow.sdk.io

## Class FileBasedSink.FileResult

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.FileBasedSink.FileResult

All Implemented Interfaces:
  Serializable

Enclosing class:
  FileBasedSink<T>

    public static final class FileBasedSink.FileResult
    extends Object
    implements Serializable

Result of a single bundle write. Contains the filename of the bundle.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileResult(String filename)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFilename()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileResult

    public FileResult(String filename)

### Method Detail

#### getFilename

    public String getFilename()